package com.lz.modules.sys.service.app;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.app.req.ResultRecordReq;
import com.lz.modules.sys.entity.app.ResultRecord;

import java.util.List;
import java.util.Map;

/**
* <p>
* 业绩记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-10
*/
public interface ResultRecordService extends IService<ResultRecord> {



	ResultRecord selectResultRecordById(Long id);


	Long insertResultRecord(ResultRecord resultRecord);


	int updateResultRecordById(ResultRecord resultRecord);


	int updateCoverResultRecordById(ResultRecord resultRecord);


	int deleteResultRecordById(Long id);

	PageUtils queryPage(ResultRecordReq params);


	void deleteBatchIds(List<Long> asList);
}